lundi 11 novembre 2013

Installer un vmwaretools dans un système Archlinux

J'ai souhaité tester la distribution Manjaro dans un système virtuel VMware.

Après l'installation j'ai voulu installer VMware Tools permettant une intégration dans mon système hôte.

Malheureusement l'installation se bloque sur la recherche du dossier des fichier init qu'il essaye de trouver avec le chemin rc0.d/ to rc6.d/

Même en renseignant manuellement /etc/rc.d ça ne change rien.

Voici donc la solution qui est relativement plus rapide (trouvé sur le forum VMware)

wget http://www.as2.com/linux/tools/vmtools-4-arch-and-co.tar.bz2
tar -xjf vmtools-4-arch-and-co.tar.bz2
sudo ./vmtools-4-arch-and-co.sh

 

Et le tour est joué ;)

Partage

lundi 10 décembre 2007

Gentoo: Erreur de compilation de glibc-2.6.xx

Si vous rencontrez une erreure lors de la compilation de glibc en architecture amd64 et que ça vous affiche ce message d?erreur :

* ERROR: sys-libs/glibc-2.6.1 failed.
* Call stack:
* ebuild.sh, line 1701: Called dyn_compile
* ebuild.sh, line 1039: Called qa_call 'src_compile'
* ebuild.sh, line 44: Called src_compile
* glibc-2.6.1.ebuild, line 155: Called eblit-run 'src_compile'
* glibc-2.6.1.ebuild, line 150: Called eblit-glibc-src_compile
* src_compile.eblit, line 168: Called src_compile
* glibc-2.6.1.ebuild, line 155: Called eblit-run 'src_compile'
* glibc-2.6.1.ebuild, line 150: Called eblit-glibc-src_compile
* src_compile.eblit, line 179: Called toolchain-glibc_src_compile
* src_compile.eblit, line 122: Called die
* The specific snippet of code:
* make PARALLELMFLAGS="${MAKEOPTS}" || die "make for ${ABI} failed"
* The die message:
* make for amd64 failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.6.1/temp/build.lo

la solution est toute simple :

emerge -C sys-devel/gcc-config
emerge --resume -avDNu world

Et le tour est joué

Partage

dimanche 9 décembre 2007

Gentoo: !!! emake i18ndir failed

Voici la cht?yte erreur que j?ai eu lors d?un

emerge --update world

Donc la manipulaton à réalisé est de vérifié si toutes les dépendances sont valide avec :

revdep-rebuild

Et si ça vous mentionne :

command no found

et bien il faut compiler :

gentoolkit

et le tour est joué

Partage

dimanche 18 novembre 2007

Explorateur Xfe

Je vous présente l?outil que j?utilise sur mon fluxbox, Xfe

Cet explorateur est celui que je cherchais depuis paas mal de temps, car il est très légé et très simple.

  • Interface graphique fluide.
  • Support UTF-8 (avec la library FOX 1.6)
  • Interface de l?explorateur avec quatre modes de gestionnaire : a) un panneau, b) un arbre d?annuaire et un panneau, c) deux panneaux, et d) un arbre d?annuaire et deux panneaux
  • Intégration d?un editeur texte (X File Write, xfw) personnellement j?ai remis scite :p
  • Integration d?une visionneuse des textes (X File View, xfv)
  • Integration d?une visionneuse d?image (X File Image, xfi) j?ai remis Gqview :p
  • Integration de la gestion des packages RPM ou DEB (X File Package, xfp)
  • les outils Copier/couper/coller, déplacer..
  • Mode Root
  • Barre d?état
  • Gestion des extensions
  • Une poubelle qui est en option mais peux être pratique pour eviter les effacements non désirés
  • Choix de sélection ( double ou simple clic )
  • Acces au changements des permissions
  • Gestion du montage et démontage de volume.
  • Gestion des archives (tar, zip, gzip, bzip2, compress, rar, lzh, etc..)
  • Petite interface de modificaion du thèmes, on peux crééer son propre thème ( en projet )

Le Site Xfe

 

Partage

jeudi 30 août 2007

phpize error - please use m4_pattern_allow

Lors de l?installation de ffmpeg-php et que vous tapez phpize et que ça vous donne cette erreur :

$ phpize
configure.in:9: warning: underquoted definition of PHP_WITH_PHP_CONFIG
run info ?(automake)Extending aclocal?
or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
configure.in:32: warning: underquoted definition of PHP_EXT_BUILDDIR
configure.in:33: warning: underquoted definition of PHP_EXT_DIR
configure.in:34: warning: underquoted definition of PHP_EXT_SRCDIR
configure.in:35: warning: underquoted definition of PHP_ALWAYS_SHARED
acinclude.m4:19: warning: underquoted definition of PHP_PROG_RE2C
configure.in:65: error: possibly undefined macro: AC_PROG_LIBTOOL
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.

Le problème est dû que libtool n?est pas installé

$ yum list|grep -i libtool
libtool-libs.i386 1.5.6-4.EL4.1.c4.4 installed
libtool.i386 1.5.6-4.EL4.1.c4.4 base
$ yum install libtool

Et le tour est joué

Partage